Package org.apache.sling.event.impl.jobs.jmx

# Class AbstractJobStatistics

java.lang.Object
javax.management.StandardMBean
org.apache.sling.event.impl.jobs.jmx.AbstractJobStatistics

All Implemented Interfaces:
  `DynamicMBean`, `MBeanRegistration`, `org.apache.sling.event.jobs.jmx.StatisticsMBean`, `org.apache.sling.event.jobs.Statistics`

Direct Known Subclasses:
  `AllJobStatisticsMBean`, `QueueMBeanImpl`

public abstract class AbstractJobStatistics extends StandardMBean implements org.apache.sling.event.jobs.jmx.StatisticsMBean

## Constructor Summary

Constructors
Constructor
Description
`AbstractJobStatistics()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getAverageProcessingTime()`
`long`
`getAverageWaitingTime()`
`Date`
`getLastActivatedJobDate()`
`long`
`getLastActivatedJobTime()`
`Date`
`getLastFinishedJobDate()`
`long`
`getLastFinishedJobTime()`
`long`
`getNumberOfActiveJobs()`
`long`
`getNumberOfCancelledJobs()`
`long`
`getNumberOfFailedJobs()`
`long`
`getNumberOfFinishedJobs()`
`long`
`getNumberOfJobs()`
`long`
`getNumberOfProcessedJobs()`
`long`
`getNumberOfQueuedJobs()`
`Date`
`getStartDate()`
`long`
`getStartTime()`
`protected abstract org.apache.sling.event.jobs.Statistics`
`getStatistics()`
`void`
`reset()`

### Methods inherited from class javax.management.StandardMBean

`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.event.jobs.jmx.StatisticsMBean

`getName`

## Constructor Details

### AbstractJobStatistics

public AbstractJobStatistics()

## Method Details

### getStatistics

protected abstract org.apache.sling.event.jobs.Statistics getStatistics()

### getAverageProcessingTime

public long getAverageProcessingTime()

Specified by:
  `getAverageProcessingTime` in interface `org.apache.sling.event.jobs.Statistics`

### getAverageWaitingTime

public long getAverageWaitingTime()

Specified by:
  `getAverageWaitingTime` in interface `org.apache.sling.event.jobs.Statistics`

### getLastActivatedJobTime

public long getLastActivatedJobTime()

Specified by:
  `getLastActivatedJobTime` in interface `org.apache.sling.event.jobs.Statistics`

### getLastFinishedJobTime

public long getLastFinishedJobTime()

Specified by:
  `getLastFinishedJobTime` in interface `org.apache.sling.event.jobs.Statistics`

### getNumberOfActiveJobs

public long getNumberOfActiveJobs()

Specified by:
  `getNumberOfActiveJobs` in interface `org.apache.sling.event.jobs.Statistics`

### getNumberOfCancelledJobs

public long getNumberOfCancelledJobs()

Specified by:
  `getNumberOfCancelledJobs` in interface `org.apache.sling.event.jobs.Statistics`

### getStartTime

public long getStartTime()

Specified by:
  `getStartTime` in interface `org.apache.sling.event.jobs.Statistics`

### getStartDate

public Date getStartDate()

Specified by:
  `getStartDate` in interface `org.apache.sling.event.jobs.jmx.StatisticsMBean`

### getNumberOfFinishedJobs

public long getNumberOfFinishedJobs()

Specified by:
  `getNumberOfFinishedJobs` in interface `org.apache.sling.event.jobs.Statistics`

### getNumberOfFailedJobs

public long getNumberOfFailedJobs()

Specified by:
  `getNumberOfFailedJobs` in interface `org.apache.sling.event.jobs.Statistics`

### getNumberOfProcessedJobs

public long getNumberOfProcessedJobs()

Specified by:
  `getNumberOfProcessedJobs` in interface `org.apache.sling.event.jobs.Statistics`

### getNumberOfQueuedJobs

public long getNumberOfQueuedJobs()

Specified by:
  `getNumberOfQueuedJobs` in interface `org.apache.sling.event.jobs.Statistics`

### getNumberOfJobs

public long getNumberOfJobs()

Specified by:
  `getNumberOfJobs` in interface `org.apache.sling.event.jobs.Statistics`

### reset

public void reset()

Specified by:
  `reset` in interface `org.apache.sling.event.jobs.Statistics`

### getLastActivatedJobDate

public Date getLastActivatedJobDate()

Specified by:
  `getLastActivatedJobDate` in interface `org.apache.sling.event.jobs.jmx.StatisticsMBean`

### getLastFinishedJobDate

public Date getLastFinishedJobDate()

Specified by:
  `getLastFinishedJobDate` in interface `org.apache.sling.event.jobs.jmx.StatisticsMBean`